html,
body {
  width: 100%;
  height: 100%;
}

body {
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  background: #ecf4fc;
}

body.dark-mode {
  background: #161515;
  color: white;
}

.h3,
h3 {
  color: #337ab7;
}
.h4,
h4 {
  color: #337ab7;
  text-transform: uppercase;
}
p {
  font-size: 17px;
  line-height: 24px;
  text-align: justify;
  color: #333;
}
.sonata-bc .navbar-inner {
  text-shadow: none;
}

.sonata-bc .navbar-inner {
  background-color: #162d41;
  background-image: linear-gradient(to bottom, #112231, #346590);
}

.sonata-bc .navbar .brand {
  color: #e8e5dc;
  text-shadow: none;
  font-weight: bold;
  font-size: 14px;
}

.sonata-bc .navbar .nav > li > a {
  color: #ffffff;
  text-shadow: none;
}

.sonata-bc .navbar .nav > li > a:hover {
  color: #aaaaaa;
}

/* ui-currency */
.ui-currency-pos {
  color: green;
  float: right;
}

.currency {
  color: green;
  text-align: right;
}

.ui-currency-neg {
  color: red;
  float: right;
}

.ui-currency-zero {
  color: blue;
  float: right;
}

/* tables */
td.category {
  font-weight: bold;
}

td.subcategory {
  padding-left: 30px !important;
}

/* dashboard */
#players > .smart-table {
  width: 100%;
}

/* Make the bootstrap table rows a bit shorter so we can fit more on the screen */
.sonata-bc .table td {
  line-height: 15px;
}

/* Make a 'thincolumn' we can use in lists (for event type icons at present) */
.sonata-ba-list-field-thincolumn {
  width: 15px;
}

/* Action text was getting hidden in the newest version of Sonata/Bootstrap */
.sonata-ba-list-field-actions .btn-group {
  font-size: 13px;
}

.sonata-ba-list-field-actions .btn-group a i {
  vertical-align: text-bottom;
}

/* Notes */
.notes-form {
  margin: 0 0 10px !important;
  text-align: center;
}

.notes {
  display: block;
  padding-left: 3px;
}

.notes .note .ismine {
  color: #49afcd !important;
}

.notes .note .username {
  font-weight: bold;
}

.notes .note .message {
}

.notes .note .date {
  float: right;
}

/* User block (top right area with profile, logout, etc) */
.user-block {
  color: #bbbbbb;
}

.user-block a {
  color: white;
}

.nav-collapse {
  /*margin:0px;*/
  /*padding:0px;*/
  /*font-family: "Times New Roman";*/
  /*font-size:14px;*/
  /*font-weight:bold;*/
  /*color:#6D6D6D;*/
  text-transform: uppercase;
}

.nav-collapse ul {
  /*height:26px;*/
  /*list-style:none;*/
  /*margin:0;*/
  /*padding:0;*/
}

.nav-collapse li {
  float: left;
  /*padding:0px;*/
}

.nav-collapse li a {
  /*color:#6D6D6D;*/
  display: block;
  font-weight: normal;
  /*line-height:26px;*/
  margin: 0px;
  /*padding:0px 25px;*/
  text-align: center;
  text-decoration: none;
}

.nav-collapse li a:hover,
.nav-collapse ul li:hover a {
  /*background: #ca9875 url("menu_images/hover.gif") bottom center no-repeat;*/
  color: #404040;
  /*text-decoration:none;*/
}

.nav-collapse li ul {
  background-color: #f9f9f9;
  display: none;
  height: auto;
  padding: 0px;
  margin: 0px;
  border: 0px;
  position: absolute;
  /*width: 225px;*/
  width: 135px;
  z-index: 200;
  color: red;
  /*top:1em;
    /*left:0;*/
}

.nav-collapse li:hover ul {
  display: block;
}

.nav-collapse li li {
  /*background:url('menu_images/sub_sep.gif') bottom left no-repeat;*/
  display: block;
  float: none;
  margin: 0px;
  padding: 0px;
  /*width: 225px;*/
  width: 135px;
}

.nav-collapse li:hover li a {
  background: none;
}

.nav-collapse li ul a {
  display: block;
  height: 26px;
  font-size: 13px;
  font-style: normal;
  margin: 0px;
  padding: 0px 10px 0px 15px;
  text-align: left;
}

.nav-collapse li ul a:hover,
.nav-collapse li ul li:hover a {
  border: 0px;
  color: #ccc;
  text-decoration: none;
}

.nav-collapse p {
  clear: left;
}

.nav-collapse ul li ul li {
  position: relative;
}

.nav-collapse ul li ul li ul,
.nav-collapse ul li:hover ul li ul {
  display: none;
}

.nav-collapse ul li ul li:hover ul {
  display: block;
  position: absolute;
  left: 100%;
  top: 0;
}

.nav-collapse ul li ul li:hover ul li a {
  background: none;
  color: #6d6d6d;
}

.nav-collapse ul li ul li:hover ul li a:hover {
  color: #fff;
}

.notes {
  margin-bottom: 50px;
}

.form_dateFilter input {
  float: left;
}

.form_dateFilter label {
  margin-left: 20px;
}

.sonata-ba-content h1 {
  margin-top: 30px;
}

.losslimit label {
  display: inline-block;
}

.formclass label {
  margin-left: 7px;
  margin-right: 10px;
}

.form_dateFilter label {
  margin-right: 15px;
}

.stats_block {
  background-color: #ffffff;
  /*width: 95%;*/
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 13px;
  font-weight: normal;
  line-height: 18px;
  color: #404040;
}
.breadcrumb {
  background-color: #f5f5f5;
  color: #404040;
}
.breadcrumb > .active {
  color: #404040 !important;
}
.sonata-bc .breadcrumb .divider {
  padding: 0 5px;
  color: #ccc;
}
.status-blocked {
  background-color: #db9912;
  color: #fff;
}

.status-locked {
  background-color: #e7040f;
  color: #fff;
}

.dark-mode .newadmin-container {
  background: #1c1c1c;
}

.dark-mode .loginCart a {
  color: white;
}

.newadmin-container {
  background: #ffffff;
  padding: 15px;
  padding-bottom: 5px;
}

.newadmin-container .clearfix {
  border-bottom: 1px solid #4fd1c5;
}

.newadmin-container .dropdown-menu {
  background: #fff;
}

.newadmin-container .dropdown-menu a {
  color: #000 !important;
}

.newadmin-container nav.navbar-inverse ul li {
  color: #000 !important;
}

.newadmin {
  width: 100%;
  padding-left: 24px;
  padding-right: 24px;
  margin-left: auto;
  margin-right: auto;
}

@media screen and (max-width: 1920px) {
  .newadmin {
    max-width: 1440px;
  }
}

@media screen and (max-width: 1440px) {
  .newadmin {
    max-width: 1200px;
  }
}

@media screen and (max-width: 1280px) {
  .newadmin {
    max-width: 1024px;
  }
}

.newadmin .navigation-pagination .pagination {
  display: flex;
  align-items: center;
}

.newadmin .navigation-pagination .pagination span {
  padding: 8px;
}

.newadmin .navigation-pagination .pagination a {
  font-size: 14px;
  color: black;
}

.newadmin .navigation-pagination .pagination .current {
  background: #4fd1c5;
  padding: 8px;
  color: white;
  border-radius: 4px;
}

.newadmin .download a {
  color: #4fd1c5;
}

.newadmin .well {
  background-color: #ecf4fc;
}

.newadmin .well h4 {
  color: black;
}

.innerPageAdmin {
  min-height: 500px;
}

body.dark-mode h1,
body.dark-mode h2,
body.dark-mode h3,
body.dark-mode h4,
body.dark-mode h5,
body.dark-mode h6,
body.dark-mode label,
body.dark-mode p,
body.dark-mode span {
  color: white;
}

.dark-mode .innerFilterAdmin {
  background-color: #1c1c1c;
}

.dark-mode table {
  color: white;
}

.innerFilterAdmin {
  background-color: #fff;
  padding: 15px;
  margin-bottom: 30px;
}

.dark-mode .newadmin .breadcrumb {
  background: linear-gradient(180deg, #4fd1c5 0%, #02897d 100%);
}

.newadmin .breadcrumb {
  background: #4fd1c5;
}

.newadmin .breadcrumb li a,
.newadmin .breadcrumb li::before {
  color: white;
}

.innerFilterAdmin .btn-info {
  background-color: #f3f3f3;
  border-color: #f3f3f3;
}

.innerFilterAdmin .navbar {
  padding-left: 0;
}

.innerPageTitle {
  text-transform: none;
  color: #000;
  padding-left: 15px;
  border-left: 5px solid #4fd1c5;
  line-height: 2;
}

.dark-mode .btn.btn-new {
  background: linear-gradient(180deg, #4fd1c5 0%, #02897d 100%);
}

.dark-mode .btn.btn-new:hover {
  background: linear-gradient(180deg, #4cdfd1 0%, #0ab9a9 100%);
}

.dark-mode .nav > li > a {
  color: white !important;
}

.dark-mode .newadmin-container nav.navbar-inverse ul li,
.dark-mode .newadmin-container nav.navbar-inverse ul li a {
  color: white !important;
}

.dark-mode .newadmin-container .dropdown-menu {
  background: #1c1c1c;
}

.btn.btn-new {
  background: #4fd1c5;
  color: #fff;
  outline: none;
}

.btn.btn-new:hover {
  background: #2d8d84;
}

.dark-mode .stats_block .newadmin-table th {
  background: linear-gradient(180deg, #4fd1c5 0%, #02897d 100%);
}

.dark-mode .stats_block .newadmin-stats-table tr.category-row {
  background: linear-gradient(180deg, #4fd1c5 0%, #02897d 100%);
}

.dark-mode .stats_block .newadmin-table tr:nth-of-type(odd),
.dark-mode .table-striped > tbody > tr:nth-of-type(odd) {
  background: linear-gradient(180deg, #121212 0%, #262626 100%);
}

.dark-mode .stats_block .newadmin-table tr:nth-of-type(even) {
  background: linear-gradient(180deg, #353535 0%, #262626 100%);
}

.dark-mode .stats_block .newadmin-table td {
  color: white;
}

.dark-mode .stats_block {
  background-color: #161515;
}

.dark-mode .newadmin .navigation-pagination .pagination .current {
  background: linear-gradient(180deg, #4fd1c5 0%, #02897d 100%);
}

.dark-mode .newadmin .navigation-pagination .pagination a {
  color: white;
}

.dark-mode .dataTables_wrapper .dataTables_length,
.dark-mode .dataTables_wrapper .dataTables_filter,
.dark-mode .dataTables_wrapper .dataTables_info,
.dark-mode .dataTables_wrapper .dataTables_processing,
.dark-mode .dataTables_wrapper .dataTables_paginate {
  color: white;
}

.stats_block .newadmin-table th {
  background: #4fd1c5;
  color: white;
  text-transform: capitalize;
  padding: 15px;
  text-align: center;
}

.statsGraph {
  background: white;
}

.dark-mode .statsGraph {
  background: #272727;
}

.newadmin-table th a {
  color: #fff;
}

.stats_block .newadmin-stats-table tr.category-row {
  color: #fff;
  background: #4fd1c5;
}

.stats_block .newadmin-table td {
  padding: 10px 15px;
  vertical-align: middle;
  text-align: center;
}

.stats_block .newadmin-table td a {
  text-transform: capitalize;
  font-weight: 900;
}

.newadmin-login {
  height: 100%;
  width: 750px;
  margin-left: auto;
  margin-right: auto;
  display: flex;
  align-items: center;
  justify-content: center;
}

.newadmin-login .formTitle {
  background-color: #4fd1c5;
}

.newadmin-login img {
  height: 55px;
  margin-bottom: 24px;
}

.containerbody {
  height: 100%;
}

.container {
  color: #404040;
}

.flex {
  display: flex;
}

.column {
  flex-direction: column;
}

.align-items-center {
  align-items: center;
}

.justify-content-center {
  justify-content: center;
}

.justify-content-between {
  justify-content: space-between;
}

.btn-info {
  color: #fff;
  background-color: #333;
  border-color: #000;
}
.btn-info.focus,
.btn-info:focus {
  color: #fff;
  background-color: #333;
  border-color: #1b6d85;
}
.btn-info:hover {
  color: #333;
  background-color: #fc0;
  border-color: #269abc;
}
.btn-info.active,
.btn-info:active,
.open > .dropdown-toggle.btn-info {
  color: #fff;
  background-color: #31b0d5;
  border-color: #269abc;
}
.btn-info.active.focus,
.btn-info.active:focus,
.btn-info.active:hover,
.btn-info:active.focus,
.btn-info:active:focus,
.btn-info:active:hover,
.open > .dropdown-toggle.btn-info.focus,
.open > .dropdown-toggle.btn-info:focus,
.open > .dropdown-toggle.btn-info:hover {
  color: #fff;
  background-color: #269abc;
  border-color: #1b6d85;
}
.btn-info.active,
.btn-info:active,
.open > .dropdown-toggle.btn-info {
  background-image: none;
}
.btn-info.disabled.focus,
.btn-info.disabled:focus,
.btn-info.disabled:hover,
.btn-info[disabled].focus,
.btn-info[disabled]:focus,
.btn-info[disabled]:hover,
fieldset[disabled] .btn-info.focus,
fieldset[disabled] .btn-info:focus,
fieldset[disabled] .btn-info:hover {
  background-color: #5bc0de;
  border-color: #46b8da;
}
.btn-info .badge {
  color: #5bc0de;
  background-color: #fff;
}

.badge-alert {
  background-color: red;
}

.nav-pills {
  color: #404040;
}
.nav-pills > li > a {
  color: unset !important;
  background-color: #f5f5f5;
}
.row {
  margin-right: unset;
  margin-left: unset;
}

.ismine {
  font-weight: bolder;
  color: #fc0;
}

.admin-notes-form input {
  width: 100%;
  margin-bottom: 10px;
}
.admin-notes-form button {
  width: 100%;
  padding: 3px 12px 3px 12px;
}

.btn-activate {
  background-color: #337ab7;
  line-height: 1;
  padding: 4px 8px;
  margin-left: 20px;
  text-transform: uppercase;
  font-size: 13px;
  font-weight: unset;
}

.balance-offset {
  margin-left: 15px;
}

.image_admin_list {
  width: 216px;
  height: 100px;
}

.alert-error {
  background-color: #c4011c;
  border-color: #faebcc;
}
.alert-error hr {
  border-top-color: #f7e1b5;
}
.alert-error .alert-link {
  color: #337ab7;
}

.alert-error p {
  color: #fff;
}

/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 43px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

input:checked + .slider {
  background-color: #2196f3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196f3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.navbar-nav {
  flex-direction: inherit;
}

.navbar-nav > li > .dropdown-menu {
  position: absolute;
}

.navigation-pagination {
  text-align: right;
}
.download {
  text-align: right;
}

.img-on-click:hover {
  cursor: pointer;
}
.badge-warning {
  color: #343a40;
  background-color: #ffc107;
}
.badge-light {
  color: #ffffff;
  background-color: #dedede;
}
.badge-info {
  color: #ffffff;
  background-color: #17a2b8;
}
.badge-played {
  color: #ffffff;
  background-color: #17a2b8;
}
.badge-standby {
  color: #ffffff;
  background-color: #6c757d;
}
.badge-active {
  color: #ffffff;
  background-color: #28a745;
}

.badge-expired {
  color: #ffffff;
  background-color: #000000;
}

.btn-freespin {
  background-color: #337ab7;
}

.table_row_processing {
  background-color: #17a2b8 !important;
}
.table_row_done {
  background-color: aliceblue !important;
}
.cc_background {
  background-color: aliceblue !important;
}

.activemenu {
  background-color: #ffcc00;
}

.submenu {
  background-color: black;
  border-radius: 5px;
}
.submenu li a:hover {
  background-color: #ffcc00;
}
.submenu .dropdown-menu {
  background-color: #fff;
}
.submenu a {
  color: black !important;
}
/* ============ desktop view ============ */
@media all and (min-width: 992px) {
  .navbar .nav-item .dropdown-menu {
    display: none;
  }
  .navbar .nav-item:hover .nav-link {
  }
  .navbar .nav-item:hover .dropdown-menu {
    display: block;
  }
  .navbar .nav-item .dropdown-menu {
    margin-top: 0;
  }
}
/* ============ desktop view .end// ============ */

.deposit_block {
  background-color: #23679e;
  border-radius: 10px;
}
.deposit_block h4 {
  color: #ffffff;
  text-align: center;
}
